#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.4.2.3
visibility:           public
id:                   ghcide-1.4.2.3-4GOGdzlWgdh3SoWTuQ4H0D
key:                  ghcide-1.4.2.3-4GOGdzlWgdh3SoWTuQ4H0D
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  6c635db29ace3fc7496b2cae11f330cc
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Error
    Development.IDE.GHC.ExactPrint Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake
    Generics.SYB.GHC

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action
    Text.Fuzzy.Parallel

import-dirs:          /usr/lib/ghc-9.0.2/site-local/ghcide-1.4.2.3
library-dirs:         /usr/lib/ghc-9.0.2/site-local/ghcide-1.4.2.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.4.2.3-4GOGdzlWgdh3SoWTuQ4H0D
depends:
    Diff-0.4.1-3IsIUDIZJcI44RzSs8EsNR
    Glob-0.10.2-LWKhJx1dlGdBQ19zIWF1I7
    aeson-1.5.6.0-ByG4maisB6W4LqbYiVYaDZ
    aeson-pretty-0.8.9-LkQNLd1AL2ZY6TYCbacq6 array-0.5.4.0
    async-2.2.4-6LRR1qzJKeG4fcfGDW8pVm base-4.15.1.0
    base16-bytestring-1.0.2.0-Fp7d6BM2Duc4rZrEFkJ3hw binary-0.8.8.0
    bytestring-0.10.12.1
    bytestring-encoding-0.1.2.0-KKeBjEU6ccE6l94Pi5X7pj
    case-insensitive-1.2.1.0-8mrHMIrC8PIAA1uK08bdKY containers-0.6.4.1
    cryptohash-sha1-0.11.101.0-6UBgevJP0D6i3RWrI8wim
    data-default-0.7.1.1-BkZarJ3J3008hHF2JOuYeW deepseq-1.4.5.0
    dependent-map-0.4.0.0-E9FkUjTmC4oFugqJCbM1QX
    dependent-sum-0.7.1.0-JdUPKE3MbZY2wesAFfFaXU directory-1.3.6.2
    dlist-1.0-ImNlUre2rHgIkuGbqNQCOO
    extra-1.7.10-HSRmSjpfi0b20DVd5qjBWY filepath-1.4.2.1
    fingertree-0.1.5.0-CIQA95ZM5cmArPctkmmgh1
    fuzzy-0.1.0.1-6yzcBNZ8szkAy3ZPIHydZJ ghc-9.0.2
    ghc-api-compat-8.6.1-F4jVXTaEYzcGEcFzzf0nwC ghc-boot-9.0.2
    ghc-boot-th-9.0.2 ghc-check-0.5.0.6-6LIU6G2aZ4zCAHKjvaJjWK
    ghc-exactprint-0.6.4-2oj9xEW3W7PGYFhiLJd4gp
    ghc-paths-0.1.0.12-7fRPaqGgnC488dNzs2elDi
    ghc-trace-events-0.1.2.5-20Skp14Tvmg9qSNMhFPbkW
    haddock-library-1.10.0-6zn3SgZdVPLBm69kPdcEGm
    hashable-1.4.0.2-KL4gFPtdNMSEvjFKBn8dZI
    heapsize-0.3.0.1-HfdKV7E1LcgAiNxJ1H3hMr
    hie-bios-0.8.0-JIcZbZFC9g81zM8JaTRUjk
    hie-compat-0.2.0.0-HIRtu2tZqQkzZYfKK8kwk
    hiedb-0.4.1.0-HMVsqvF82nFAY2vtltUfqv
    hls-graph-1.4.0.0-GM02p1E1Ysu7FYS17EIkdl
    hls-plugin-api-1.2.0.1-6mQkSIhu5S7LOQpmMOb8rb
    hslogger-1.3.1.0-EXyx0a8MhCw9nXtajGwl3u
    implicit-hie-cradle-0.3.0.5-mH5XnLPic4ImfA3xsa34P
    lens-5.1.1-4M5zSd24oOB3ODyeRSY1iF lsp-1.2.0.1-9qgXh1pld3EpIw5SwOd4P
    lsp-types-1.3.0.1-4CPEmbLkp1vJc3c9mC0aye
    monoid-subclasses-1.1.3-9iOwRI8h0Qj9g2T4J99MSk mtl-2.2.2
    network-uri-2.6.4.1-Ho4NOFW97Fc8RbpaghE2uc
    opentelemetry-0.7.0-hLB4gTATOfLxuaINKxOce
    optparse-applicative-0.16.1.0-BKNPip5PGw2CnbOiekISfW
    parallel-3.2.2.0-D2aleEa2VnPBr164BdKnms
    prettyprinter-1.7.1-LZKDhajNbOQAeFBTKinPqf
    prettyprinter-ansi-terminal-1.1.3-FpFcsEkQgoMFk9f7jFtc52
    regex-tdfa-1.3.1.4-Cm6vevfL5SU5WGhLB3p1sr
    retrie-1.1.0.0-H5zQlxnkTXc4XiGRVOEhIc
    rope-utf16-splay-0.3.2.0-6Tnic4aBGCC2ZEKtj0eV0f
    safe-0.3.19-2aVM1fCfxX88jnlVeNbd8Q
    safe-exceptions-0.1.7.3-CBGcF1sjd1h6ttGuBPH7mX
    sorted-list-0.2.1.0-6jcghXYTAOG6xcHgKgM12R
    sqlite-simple-0.4.18.2-9phGRYuXNlF2vm9j56lV3s stm-2.5.0.0
    syb-0.7.2.1-8eGiaBKxDZQ1tkbYhJPNA5 text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.22.0-EnhMMQvao4L2hYuOKbuvNo
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.19.1-Egpruffujfv1ZeuVmASDK2
    utf8-string-1.0.2-9eFA57BgKXNHtjvfuIOq9f
    vector-0.12.3.1-6Jse5cnDdy2CJPq6wEcUm1
    vector-algorithms-0.8.0.4-IlywdvDQZarJmq7X51mYs6

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

